## hugo 0.37

=== debian/changelog ===
hugo (0.37-2) unstable; urgency=medium

  * Depend on golang-github-alecthomas-chroma (>= 0.3.0)
    just as the upstream Hugo 0.37 does, for fixing a bug in yaml
    highlighting. See https://github.com/gohugoio/hugo/issues/4418
    and https://github.com/alecthomas/chroma/issues/119.

 -- Anthony Fok <foka@debian.org>  Thu, 01 Mar 2018 23:55:47 -0700

hugo (0.37-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.37

  [ Anthony Fok ]
  * Add new dependency: golang-github-muesli-smartcrop-dev
    and newer version of golang-github-russross-blackfriday-dev (>= 1.5.1-1~)
  * Add BuildDate (honoring SOURCE_DATE_EPOCH) to hugo
  * Update debian/copyright:
     - Add new docs/src/package-lock.json
     - Document the Vernon Adams' authorship of Muli font
     - Add a comment about the original source URL of gohugoioTheme
     - Add copyright info for docs/themes/gohugoioTheme/src/js/hljs.js
       and provide a reconstructed uncompressed source file
     - Add missing sources for app.bundle.js and document their origins

 -- Anthony Fok <foka@debian.org>  Thu, 01 Mar 2018 12:20:58 -0700

=== debian/rules ===
#!/usr/bin/make -f

HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo

export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md

DATE_FMT = %Y-%m-%dT%H:%M:%S%z
ifdef SOURCE_DATE_EPOCH
	BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
	BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
BUILD_DATE := $(BUILD_DATE:+0000=Z)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags "-X github.com/gohugoio/hugo/hugolib.BuildDate=$(BUILD_DATE)"
	$(HUGO) version
	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
	$(HUGO) gen man --dir=debian/man
	# TODO: Add "hugo-docs" package in the future?
	#$(HUGO) -s docs -d public/html --uglyURLs

# Disable network access during testing by using -test.short flag,
# and skip Git tests which upstream has also disabled for Travis CI.
override_dh_auto_test:
	CI=true dh_auto_test -O--buildsystem=golang -- -test.short

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang
	dh_bash-completion -O--buildsystem=golang

## hugo 0.37.1

=== debian/changelog ===
hugo (0.37.1-1) unstable; urgency=medium

  * New upstream bugfix release:
     - Fixes SVG (and similar) handling as page resources.
  * Prevent TestImageResize8BitPNG from failing on Ubuntu
    by setting NO_PNG_PKG_MANGLE=1 to prevent pkgbinarymangler
    from recompressing our test PNG image.

 -- Anthony Fok <foka@debian.org>  Thu, 08 Mar 2018 17:32:37 -0700

=== debian/control ===
Source: hugo
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Section: web
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: bash-completion,
               debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-alecthomas-chroma-dev (>= 0.3.0),
               golang-github-bep-gitmap-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-chaseadamsio-goorgeous-dev,
               golang-github-disintegration-imaging-dev,
               golang-github-eknkc-amber-dev,
               golang-github-fortytw2-leaktest-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-hashicorp-go-immutable-radix-dev,
               golang-github-jdkato-prose-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-markbates-inflect-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-muesli-smartcrop-dev,
               golang-github-nicksnyder-go-i18n-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev (>= 1.5.1),
               golang-github-spf13-afero-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-fsync-dev,
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-nitro-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-golang-x-image-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-text-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
Homepage: https://gohugo.io/
XS-Go-Import-Path: github.com/gohugoio/hugo

Package: hugo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

Package: golang-github-gohugoio-hugo-dev
Architecture: all
Section: devel
Depends: golang-github-alecthomas-chroma-dev (>= 0.3.0),
         golang-github-bep-gitmap-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-chaseadamsio-goorgeous-dev,
         golang-github-disintegration-imaging-dev,
         golang-github-eknkc-amber-dev,
         golang-github-fortytw2-leaktest-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-gobwas-glob-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-hashicorp-go-immutable-radix-dev,
         golang-github-jdkato-prose-dev,
         golang-github-kyokomi-emoji-dev,
         golang-github-markbates-inflect-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-muesli-smartcrop-dev,
         golang-github-nicksnyder-go-i18n-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev (>= 1.5.1),
         golang-github-spf13-afero-dev,
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-fsync-dev,
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-image-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-text-dev,
         golang-gopkg-yaml.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.

## hugo 0.38

=== debian/changelog ===
hugo (0.38-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.38
  * Refresh debian/control
    - Add new dependency on golang-github-sanity-io-litter-dev
    - Update versioned dependency on golang-github-alecthomas-chroma-dev
    - Apply "cme fix dpkg"
    - Bump Standards-Version to 4.1.4 (no change)
  * Update copyright year in debian/copyright
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Add 003-disable-TestPageWithLastmodFromGitInfo.patch

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 07:34:08 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper (>= 11),
                dh-golang,
                golang-any,
-               golang-github-alecthomas-chroma-dev (>= 0.3.0),
+               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
@@ -30,6 +30,7 @@
                golang-github-olekukonko-tablewriter-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev (>= 1.5.1),
+               golang-github-sanity-io-litter-dev,
                golang-github-spf13-afero-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
@@ -45,15 +46,16 @@
                golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
+Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
 XS-Go-Import-Path: github.com/gohugoio/hugo
 
 Package: hugo
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Description: Fast and flexible Static Site Generator written in Go
  Hugo is a static site generator written in Go. It is optimized for speed,
@@ -76,7 +78,7 @@
 Package: golang-github-gohugoio-hugo-dev
 Architecture: all
 Section: devel
-Depends: golang-github-alecthomas-chroma-dev (>= 0.3.0),
+Depends: golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
          golang-github-bep-gitmap-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
@@ -97,6 +99,7 @@
          golang-github-olekukonko-tablewriter-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev (>= 1.5.1),
+         golang-github-sanity-io-litter-dev,
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev,

## hugo 0.40

=== debian/changelog ===
hugo (0.40-1) unstable; urgency=medium

  * New upstream version 0.40
  * Unlist removed files from debian/copyright.
    See https://github.com/gohugoio/hugoDocs/issues/65

 -- Anthony Fok <foka@debian.org>  Mon, 23 Apr 2018 06:59:59 -0600

hugo (0.39-1) unstable; urgency=medium

  * New upstream release 0.39: the Nat King Cole Stabilizer Edition
  * Update debian/copyright as upstream changed LICENSE.md to LICENSE
    for GitHub to be able to detect Hugo's Apache-2.0 license

 -- Anthony Fok <foka@debian.org>  Mon, 16 Apr 2018 20:03:18 -0600

hugo (0.38.2-1) unstable; urgency=medium

  * New upstream bug-fix release 0.38.2
  * Add new dependency golang-github-bep-debounce-dev

 -- Anthony Fok <foka@debian.org>  Sun, 15 Apr 2018 23:17:40 -0600

## hugo 0.40.1

=== requirements.txt ===
Pygments==2.1.3
docutils==0.12

=== docs/requirements.txt ===
Pygments==2.1.3

=== debian/changelog ===
hugo (0.40.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.1

 -- Anthony Fok <foka@debian.org>  Wed, 25 Apr 2018 11:16:11 -0600

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                dh-golang,
                golang-any,
                golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
+               golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
@@ -79,6 +80,7 @@
 Architecture: all
 Section: devel
 Depends: golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
+         golang-github-bep-debounce-dev,
          golang-github-bep-gitmap-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo
 
 export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md
+
+# Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
+# recompressing our test PNG image on Ubuntu
+export NO_PNG_PKG_MANGLE := 1
 
 DATE_FMT = %Y-%m-%dT%H:%M:%S%z
 ifdef SOURCE_DATE_EPOCH

## hugo 0.40.2

=== debian/changelog ===
hugo (0.40.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.2
    - Reset .Page.Scratch on live-reload 655983a2 @bep #4683
    - Fix .WordCount, .FuzzyWordCount, .ReadingTime when summary marker
      is set 001a28c2 @bep #4675 #4682

 -- Anthony Fok <foka@debian.org>  Mon, 30 Apr 2018 06:48:09 -0600

hugo (0.40.1-3) unstable; urgency=medium

  * Increase TestPageBundlerSiteRegular timeout further to 10 minutes
    (from 2 minutes) and hope it would not time out again
    on Debian's slowest "mips" build daemon.
    See https://github.com/gohugoio/hugo/issues/4672

 -- Anthony Fok <foka@debian.org>  Thu, 26 Apr 2018 17:52:05 -0600

hugo (0.40.1-2) unstable; urgency=medium

  * Fix FTBFS on armel by increasing TestPageBundlerSiteRegular timeout
    from 10 seconds to 120 seconds, and show warning if it does time out.
    Special thanks to upstream author @bep for providing the solution.
    (004-increase-timeout-in-TestPageBundlerSiteRegular.patch)
    See https://github.com/gohugoio/hugo/issues/4672
  * Increase "go test" timeout to 30m to prevent potential FTBFS
    especially on "armel" and "mips".

 -- Anthony Fok <foka@debian.org>  Thu, 26 Apr 2018 14:48:51 -0600

## hugo 0.40.3

=== debian/changelog ===
hugo (0.40.3-1) unstable; urgency=medium

  * New upstream bugfix release 0.40.3:
    Fixes a rare, but possible Content truncation issue.
    Hugo 0.40.3 fixes a possible .Content truncation issue introduced
    in 0.40.1 90d0d830 @bep #4706. This should be very rare.
    It has been reported by only one user on a synthetic site.
    We have tested a number of big sites that does not show this problem
    with 0.40.2, but this is serious enough to warrant a patch release.

 -- Anthony Fok <foka@debian.org>  Wed, 09 May 2018 06:18:04 -0600

## hugo 0.41

=== debian/changelog ===
hugo (0.41-1) unstable; urgency=medium

  * New upstream version 0.41:
    Add a new Privacy Configuration section to meet the new regulations
    in the new General Data Protection Regulation (GDPR).
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Add .github/SUPPORT.md to debian/copyright
  * Install only /usr/bin/hugo and not /usr/bin/generate

 -- Anthony Fok <foka@debian.org>  Mon, 28 May 2018 00:30:57 -0600

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # Disable network access during testing by using -test.short flag,
 # and skip Git tests which upstream has also disabled for Travis CI.
 override_dh_auto_test:
-	CI=true dh_auto_test -O--buildsystem=golang -- -test.short
+	CI=true dh_auto_test -O--buildsystem=golang -- -test.short -timeout 30m
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=golang

## hugo 0.42.1

=== debian/changelog ===
hugo (0.42.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.42.1:
    - Reset the global pages cache on server rebuilds 128f14ef @bep #4845
    - Do not fail server build when /static is missing 34ee27a7 @bep #4846

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jun 2018 07:44:44 -0600

hugo (0.42-1) unstable; urgency=medium

  * New upstream version 0.42: Theme Composition and Inheritance!
  * Update versioned dependencies
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Add langs/* to debian/copyright

 -- Anthony Fok <foka@debian.org>  Tue, 12 Jun 2018 09:13:07 -0600

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Build-Depends: bash-completion,
                debhelper (>= 11),
-               dh-golang,
-               golang-any,
-               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
+               dh-golang (>= 1.34~),
+               golang-any (>= 2:1.10~),
+               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180612.d7b2ed2),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-toml-dev,
@@ -32,7 +32,7 @@
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev (>= 1.5.1),
                golang-github-sanity-io-litter-dev,
-               golang-github-spf13-afero-dev,
+               golang-github-spf13-afero-dev (>= 1.1.1),
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-fsync-dev,
@@ -79,7 +79,7 @@
 Package: golang-github-gohugoio-hugo-dev
 Architecture: all
 Section: devel
-Depends: golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180402.51d250f),
+Depends: golang-github-alecthomas-chroma-dev,
          golang-github-bep-debounce-dev,
          golang-github-bep-gitmap-dev,
          golang-github-burntsushi-toml-dev,
@@ -100,7 +100,7 @@
          golang-github-nicksnyder-go-i18n-dev,
          golang-github-olekukonko-tablewriter-dev,
          golang-github-puerkitobio-purell-dev,
-         golang-github-russross-blackfriday-dev (>= 1.5.1),
+         golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,

## hugo 0.42.2

=== debian/changelog ===
hugo (0.42.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.42.2:
    - Fix broken server-reload on config changes.
      This is a regression from Hugo 0.42. 3a7706b0 @bep #4878

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jun 2018 16:20:40 -0600

## hugo 0.43

=== debian/changelog ===
hugo (0.43-1) unstable; urgency=medium

  * New upstream version 0.43: Hugo Pipes!
    “Hugo 0.43 adds a powerful and very simple to use Assets Pipeline
     with Sass and SCSS with source map support, PostCSS and minification
     and fingerprinting and Subresource Integrity and … much more.
     Oh, did we mention that you can now do ad-hoc image processing
     and execute text resources as Go templates?”
  * Build hugo with the "extended" build tag for Sass/SCSS support
  * Bump Standards-Version to 4.1.5 (no change)
  * Add new dependencies to debian/control:
     - golang-github-burntsushi-locker-dev
     - golang-github-dsnet-golib-dev
     - golang-github-mitchellh-hashstructure-dev
     - golang-github-tdewolff-minify-dev
    The following are the NEW queue, hence skipping for now:
     - golang-github-bep-go-tocss-dev and
     - golang-github-wellington-go-libsass-dev
  * Update Files list in debian/copyright
  * Remove empty hugolib/resources/ dir after TestNewSiteDefaultLang.
    See https://github.com/gohugoio/hugo/pull/4922
  * Build with our own copies of Sass-related libraries,
    a temporary hack until golang-github-bep-go-tocss,
    golang-github-wellington-go-libsass enter Debian,
    and libsass 3.5.4-1 moves from Ubuntu "proposed" to "release".

 -- Anthony Fok <foka@debian.org>  Tue, 10 Jul 2018 01:13:17 -0600

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
                golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180612.d7b2ed2),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,
+               golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
                golang-github-disintegration-imaging-dev,
+               golang-github-dsnet-golib-dev,
                golang-github-eknkc-amber-dev,
                golang-github-fortytw2-leaktest-dev,
                golang-github-fsnotify-fsnotify-dev,
@@ -25,6 +27,7 @@
                golang-github-kyokomi-emoji-dev,
                golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
+               golang-github-mitchellh-hashstructure-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-muesli-smartcrop-dev,
                golang-github-nicksnyder-go-i18n-dev,
@@ -41,13 +44,14 @@
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
+               golang-github-tdewolff-minify-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -82,9 +86,11 @@
 Depends: golang-github-alecthomas-chroma-dev,
          golang-github-bep-debounce-dev,
          golang-github-bep-gitmap-dev,
+         golang-github-burntsushi-locker-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
          golang-github-disintegration-imaging-dev,
+         golang-github-dsnet-golib-dev,
          golang-github-eknkc-amber-dev,
          golang-github-fortytw2-leaktest-dev,
          golang-github-fsnotify-fsnotify-dev,
@@ -95,6 +101,7 @@
          golang-github-kyokomi-emoji-dev,
          golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
+         golang-github-mitchellh-hashstructure-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-muesli-smartcrop-dev,
          golang-github-nicksnyder-go-i18n-dev,
@@ -102,6 +109,7 @@
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
+         golang-github-tdewolff-minify-dev,
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo
 
 export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md
+DH_GOLANG_INSTALL_EXTRA += vendor/github.com/wellington/go-libsass
 
 # Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
 # recompressing our test PNG image on Ubuntu
@@ -20,7 +21,7 @@
 	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -ldflags "-X github.com/gohugoio/hugo/hugolib.BuildDate=$(BUILD_DATE)"
+	dh_auto_build -O--buildsystem=golang -- -ldflags "-X github.com/gohugoio/hugo/hugolib.BuildDate=$(BUILD_DATE)" -tags extended
 	$(HUGO) version
 	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
 	$(HUGO) gen man --dir=debian/man
@@ -35,3 +36,4 @@
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=golang
 	dh_bash-completion -O--buildsystem=golang
+	rm -rf debian/tmp/usr/share/gocode/src/github.com/gohugoio/hugo/vendor/

## hugo 0.44

=== debian/changelog ===
hugo (0.44-1) unstable; urgency=medium

  * New upstream version 0.44: Friday the 13th Edition,
    a sequel to the very popular Hugo Pipes Edition;
    bug-fixes and enhancements…
  * Add versioned dependency on golang-github-tdewolff-minify-dev
    (>= 2.3.5-2~)
  * Revert patch for "Remove empty hugolib/resources/ dir after
    TestNewSiteDefaultLang" as it has been merged upstream.

 -- Anthony Fok <foka@debian.org>  Fri, 13 Jul 2018 17:15:26 -0600

hugo (0.43-2) unstable; urgency=medium

  * Fix failed autopkgtest due to missing vendor directory.
    Also remove unneeded wellington/go-libsass/libsass-src directory

 -- Anthony Fok <foka@debian.org>  Tue, 10 Jul 2018 20:37:50 -0600

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-tdewolff-minify-dev,
+               golang-github-tdewolff-minify-dev (>= 2.3.5-2~),
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
                golang-golang-x-net-dev,
@@ -109,7 +109,7 @@
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
-         golang-github-tdewolff-minify-dev,
+         golang-github-tdewolff-minify-dev (>= 2.3.5-2~),
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -36,4 +36,3 @@
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=golang
 	dh_bash-completion -O--buildsystem=golang
-	rm -rf debian/tmp/usr/share/gocode/src/github.com/gohugoio/hugo/vendor/

## hugo 0.45

=== debian/changelog ===
hugo (0.45-1) unstable; urgency=medium

  * New upstream version 0.45: Revival of ref, relref and GetPage.
    Hugo 0.45 adds relative page lookups, language support in ref/relref
    and several Hugo Pipes improvements.
  * Link with system libsass1 shared library
  * Remove "utils/*" listing from debian/copyright as per upstream

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jul 2018 10:03:49 -0600

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,8 @@
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
-               golang-gopkg-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev,
+               libsass-dev (>= 3.5.4)
 Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- -ldflags "-X github.com/gohugoio/hugo/hugolib.BuildDate=$(BUILD_DATE)" -tags extended
+	dh_auto_build -O--buildsystem=golang -- -ldflags '-X github.com/gohugoio/hugo/hugolib.BuildDate=$(BUILD_DATE)' -tags 'dev extended'
 	$(HUGO) version
 	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
 	$(HUGO) gen man --dir=debian/man

## hugo 0.45.1

=== debian/changelog ===
hugo (0.45.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.45.1:
    - Add Page.FirstSection 016dd4a6 @bep
    - Fix .Site.GetPage regression 04d4c08d @bep #4989
    - Fix “borrow content from another language” issue c6b599a0 @bep #4986

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jul 2018 05:35:08 -0600

## hugo 0.46

=== debian/changelog ===
hugo (0.46-1) unstable; urgency=medium

  * New upstream version 0.46: Summer of Hugo
    - Full SCSS/SASS import inheritance support, rework of Hugo Pipes
      vs. multilingual, and more…
  * Update versioned dependency on golang-github-alecthomas-chroma-dev

 -- Anthony Fok <foka@debian.org>  Wed, 01 Aug 2018 07:38:57 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper (>= 11),
                dh-golang (>= 1.34~),
                golang-any (>= 2:1.10~),
-               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180612.d7b2ed2),
+               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180731.3fb10fb),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-locker-dev,

## hugo 0.47.1

=== debian/changelog ===
hugo (0.47.1-2) unstable; urgency=medium

  * Depend on golang-github-{bep-go-tocss,wellington-go-libsass}-dev.
    These packages have been accepted into Debian,
    so the embedded copies in golang-github-bep-go-tocss.patch
    and golang-github-wellington-go-libsass.patch are now removed.
  * Bump Standards-Version to 4.2.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 24 Sep 2018 21:41:10 -0600

hugo (0.47.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.47.1:
    - Fix .Site.Params case regression fdff0d3a @bep #5094
    - Do not strip IE conditional statements 5a0ee2b9 @bep #5089

 -- Anthony Fok <foka@debian.org>  Thu, 23 Aug 2018 17:24:39 -0600

hugo (0.47-1) unstable; urgency=medium

  * New upstream version 0.47: Hugo Reloaded
    - Add minification support for the final rendered output
      ("run hugo --minify").
    - Fix a set of issues with live-reloading/partial rebuilds
      when running "hugo server".
  * Bump build-dependency on golang-github-alecthomas-chroma-dev
    to version (>= 0.5.0).  Special thanks to
    Dr. Tobias Quathamer <toddy@debian.org> for his timely update
    of the golang-github-alecthomas-chroma package.
  * Bump Standards-Version to 4.2.0 (no change)
  * Add minifiers/* and publisher/* to Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 18 Aug 2018 04:12:58 -0600

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                debhelper (>= 11),
                dh-golang (>= 1.34~),
                golang-any (>= 2:1.10~),
-               golang-github-alecthomas-chroma-dev (>= 0.4.0+git20180731.3fb10fb),
+               golang-github-alecthomas-chroma-dev (>= 0.5.0),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,
+               golang-github-bep-go-tocss-dev,
                golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
@@ -45,6 +46,7 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tdewolff-minify-dev (>= 2.3.5-2~),
+               golang-github-wellington-go-libsass-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
                golang-golang-x-net-dev,
@@ -52,7 +54,7 @@
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev,
                libsass-dev (>= 3.5.4)
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -87,6 +89,7 @@
 Depends: golang-github-alecthomas-chroma-dev,
          golang-github-bep-debounce-dev,
          golang-github-bep-gitmap-dev,
+         golang-github-bep-go-tocss-dev,
          golang-github-burntsushi-locker-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
@@ -120,6 +123,7 @@
          golang-github-spf13-pflag-dev,
          golang-github-spf13-viper-dev,
          golang-github-stretchr-testify-dev,
+         golang-github-wellington-go-libsass-dev,
          golang-github-yosssi-ace-dev,
          golang-golang-x-image-dev,
          golang-golang-x-net-dev,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo
 
 export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md
-DH_GOLANG_INSTALL_EXTRA += vendor/github.com/wellington/go-libsass
 
 # Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
 # recompressing our test PNG image on Ubuntu

## hugo 0.48

=== debian/changelog ===
hugo (0.48-1) unstable; urgency=medium

  * New upstream version 0.48 (Closes: #908250)
  * Build-Depends on golang-1.11-go instead of golang-any.
    This is a temporary measure until Go 1.11, required by Hugo >= 0.48,
    becomes the default in Debian.  Special thanks to Michael Hudson-Doyle
    and Dr. Tobias Quathamer for their great work in packaging golang-1.11!
  * Build-Depends on asciidoctor to avoid FTBFS with asciidoc.
    Thanks to Vincent Danjean for the report and the fix! (Closes: #907478)
  * Set GO111MODULE=off in debian/rules
  * Add go.mod and go.sum to Files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 15:57:13 -0700

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: web
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: bash-completion,
+Build-Depends: asciidoctor,
+               bash-completion,
                debhelper (>= 11),
                dh-golang (>= 1.34~),
-               golang-any (>= 2:1.10~),
+               golang-1.11-go,
                golang-github-alecthomas-chroma-dev (>= 0.5.0),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev,

## hugo 0.49.2

=== debian/changelog ===
hugo (0.49.2-1) unstable; urgency=medium

  * New upstream bugfix release 0.49.2

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 22:57:20 -0700

hugo (0.49.1-1) unstable; urgency=medium

  * New upstream bugfix release 0.49.1

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 22:40:31 -0700

hugo (0.49-1) unstable; urgency=medium

  * New upstream version 0.49
  * Update Files list in debian/copyright
  * Update Maintainer address in debian/control

 -- Anthony Fok <foka@debian.org>  Wed, 19 Dec 2018 21:33:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hugo
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Section: web

## hugo 0.50

=== debian/changelog ===
hugo (0.50-1) unstable; urgency=medium

  * New upstream version 0.50
  * Refresh debian/patches/*, especially
    004-increase-timeout-in-TestPageBundlerSiteRegular.patch where
    hugolib/page_bundler_test.go was renamed to hugolib/pagebundler_test.go
  * Update dependencies
  * Update Files list in debian/copyright: snapcraft.yaml → snap/*

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 10:37:41 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: asciidoctor,
                bash-completion,
-               debhelper (>= 11),
+               debhelper (>= 11~),
                dh-golang (>= 1.34~),
                golang-1.11-go,
                golang-github-alecthomas-chroma-dev (>= 0.5.0),
@@ -34,19 +34,20 @@
                golang-github-muesli-smartcrop-dev,
                golang-github-nicksnyder-go-i18n-dev,
                golang-github-olekukonko-tablewriter-dev,
+               golang-github-pkg-errors-dev,
                golang-github-puerkitobio-purell-dev,
-               golang-github-russross-blackfriday-dev (>= 1.5.1),
+               golang-github-russross-blackfriday-dev (>= 1.5.1~),
                golang-github-sanity-io-litter-dev,
-               golang-github-spf13-afero-dev (>= 1.1.1),
-               golang-github-spf13-cast-dev,
+               golang-github-spf13-afero-dev (>= 1.1.2~),
+               golang-github-spf13-cast-dev (>= 1.3.0~),
                golang-github-spf13-cobra-dev,
                golang-github-spf13-fsync-dev,
-               golang-github-spf13-jwalterweatherman-dev,
+               golang-github-spf13-jwalterweatherman-dev (>= 1.0.0+git20181028.94f6ae3~),
                golang-github-spf13-nitro-dev,
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-tdewolff-minify-dev (>= 2.3.5-2~),
+               golang-github-tdewolff-minify-dev (>= 2.3.6~),
                golang-github-wellington-go-libsass-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
@@ -111,15 +112,16 @@
          golang-github-muesli-smartcrop-dev,
          golang-github-nicksnyder-go-i18n-dev,
          golang-github-olekukonko-tablewriter-dev,
+         golang-github-pkg-errors-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
-         golang-github-tdewolff-minify-dev (>= 2.3.5-2~),
+         golang-github-tdewolff-minify-dev (>= 2.3.6~),
          golang-github-spf13-afero-dev,
-         golang-github-spf13-cast-dev,
+         golang-github-spf13-cast-dev (>= 1.3.0~),
          golang-github-spf13-cobra-dev,
          golang-github-spf13-fsync-dev,
-         golang-github-spf13-jwalterweatherman-dev,
+         golang-github-spf13-jwalterweatherman-dev (>= 1.0.0+git20181028.94f6ae3~),
          golang-github-spf13-nitro-dev,
          golang-github-spf13-pflag-dev,
          golang-github-spf13-viper-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 HUGO := obj-$(DEB_HOST_GNU_TYPE)/bin/hugo
+
+# Workaround for golang-1.11-go until it becomes the default version
+export PATH := /usr/lib/go-1.11/bin:$(PATH)
+export GO111MODULE := off
 
 export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md

## hugo 0.51

=== debian/changelog ===
hugo (0.51-1) unstable; urgency=medium

  * New upstream version 0.51
  * Install go.mod to enable "minimal module compatibility"
    This is required for handling github.com/tdewolff/minify/v2
    and future v2+ modules even in GOPATH mode
  * Backport upstream patch to remove duplicate mapstructure dependency
  * Update dependencies

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 15:50:00 -0700

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                debhelper (>= 11~),
                dh-golang (>= 1.34~),
                golang-1.11-go,
-               golang-github-alecthomas-chroma-dev (>= 0.5.0),
+               golang-github-alecthomas-chroma-dev (>= 0.6.0~),
                golang-github-bep-debounce-dev,
-               golang-github-bep-gitmap-dev,
+               golang-github-bep-gitmap-dev (>= 1.0.0~),
                golang-github-bep-go-tocss-dev,
                golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev,
@@ -47,7 +47,7 @@
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-tdewolff-minify-dev (>= 2.3.6~),
+               golang-github-tdewolff-minify-dev (>= 2.3.8~),
                golang-github-wellington-go-libsass-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
@@ -88,9 +88,9 @@
 Package: golang-github-gohugoio-hugo-dev
 Architecture: all
 Section: devel
-Depends: golang-github-alecthomas-chroma-dev,
+Depends: golang-github-alecthomas-chroma-dev (>= 0.6.0~),
          golang-github-bep-debounce-dev,
-         golang-github-bep-gitmap-dev,
+         golang-github-bep-gitmap-dev (>= 1.0.0~),
          golang-github-bep-go-tocss-dev,
          golang-github-burntsushi-locker-dev,
          golang-github-burntsushi-toml-dev,
@@ -116,7 +116,7 @@
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
-         golang-github-tdewolff-minify-dev (>= 2.3.6~),
+         golang-github-tdewolff-minify-dev (>= 2.3.8~),
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev (>= 1.3.0~),
          golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 # Workaround for golang-1.11-go until it becomes the default version
 export PATH := /usr/lib/go-1.11/bin:$(PATH)
+
+# Use GOPATH mode for "minimal module compatibility"
 export GO111MODULE := off
 
-export DH_GOLANG_INSTALL_EXTRA := hugolib/testdata resource/testdata parser/long_text_test.md
+export DH_GOLANG_INSTALL_EXTRA := go.mod go.sum hugolib/testdata resource/testdata parser/long_text_test.md
 
 # Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
 # recompressing our test PNG image on Ubuntu

## hugo 0.52

=== debian/changelog ===
hugo (0.52-1) unstable; urgency=medium

  * New upstream version 0.52
  * Update dependency on golang-github-bep-go-tocss-dev (>= 0.6.0~)
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch
  * Remove 005-remove-duplicate-mapstructure-dependency.patch
  * Remove appveyor.yml from debian/copyright Files list

 -- Anthony Fok <foka@debian.org>  Fri, 21 Dec 2018 08:59:29 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-alecthomas-chroma-dev (>= 0.6.0~),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev (>= 1.0.0~),
-               golang-github-bep-go-tocss-dev,
+               golang-github-bep-go-tocss-dev (>= 0.6.0~),
                golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
@@ -91,7 +91,7 @@
 Depends: golang-github-alecthomas-chroma-dev (>= 0.6.0~),
          golang-github-bep-debounce-dev,
          golang-github-bep-gitmap-dev (>= 1.0.0~),
-         golang-github-bep-go-tocss-dev,
+         golang-github-bep-go-tocss-dev (>= 0.6.0~),
          golang-github-burntsushi-locker-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,

## hugo 0.53

=== debian/changelog ===
hugo (0.53-3) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Revert hard dependency on golang-1.11, it's the default now.

  [ Anthony Fok ]
  * Bump Standards-Version to 4.3.0 (no change)
  * Update Build-Depends of dh-golang to (>= 1.39~) for support for
    Go 1.11 modules.  Previous workarounds in debian/rules are now removed.

 -- Anthony Fok <foka@debian.org>  Sat, 29 Dec 2018 17:35:19 -0700

hugo (0.53-2) unstable; urgency=medium

  * Fix the BuildDate that "hugo version" displays

 -- Anthony Fok <foka@debian.org>  Tue, 25 Dec 2018 18:57:53 -0700

hugo (0.53-1) unstable; urgency=medium

  * New upstream version 0.53
  * Update dependencies in debian/control
  * Move app.bundle.js/* to app.js/* in debian/missing-sources
  * Update Files lists in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Dec 2018 07:05:59 -0700

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: asciidoctor,
                bash-completion,
                debhelper (>= 11~),
-               dh-golang (>= 1.34~),
-               golang-1.11-go,
+               dh-golang (>= 1.39~),
+               golang-any (>= 2:1.11~),
                golang-github-alecthomas-chroma-dev (>= 0.6.0~),
                golang-github-bep-debounce-dev,
                golang-github-bep-gitmap-dev (>= 1.0.0~),
@@ -30,7 +30,7 @@
                golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-hashstructure-dev,
-               golang-github-mitchellh-mapstructure-dev,
+               golang-github-mitchellh-mapstructure-dev (>= 1.1.2~),
                golang-github-muesli-smartcrop-dev,
                golang-github-nicksnyder-go-i18n-dev,
                golang-github-olekukonko-tablewriter-dev,
@@ -38,14 +38,14 @@
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev (>= 1.5.1~),
                golang-github-sanity-io-litter-dev,
-               golang-github-spf13-afero-dev (>= 1.1.2~),
+               golang-github-spf13-afero-dev (>= 1.2.0~),
                golang-github-spf13-cast-dev (>= 1.3.0~),
                golang-github-spf13-cobra-dev,
                golang-github-spf13-fsync-dev,
                golang-github-spf13-jwalterweatherman-dev (>= 1.0.0+git20181028.94f6ae3~),
                golang-github-spf13-nitro-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-spf13-viper-dev,
+               golang-github-spf13-viper-dev (>= 1.3.1~),
                golang-github-stretchr-testify-dev,
                golang-github-tdewolff-minify-dev (>= 2.3.8~),
                golang-github-wellington-go-libsass-dev,
@@ -54,9 +54,9 @@
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v2-dev (>= 2.2.2~),
                libsass-dev (>= 3.5.4)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -108,7 +108,7 @@
          golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-hashstructure-dev,
-         golang-github-mitchellh-mapstructure-dev,
+         golang-github-mitchellh-mapstructure-dev (>= 1.1.2~),
          golang-github-muesli-smartcrop-dev,
          golang-github-nicksnyder-go-i18n-dev,
          golang-github-olekukonko-tablewriter-dev,
@@ -117,14 +117,14 @@
          golang-github-russross-blackfriday-dev,
          golang-github-sanity-io-litter-dev,
          golang-github-tdewolff-minify-dev (>= 2.3.8~),
-         golang-github-spf13-afero-dev,
+         golang-github-spf13-afero-dev (>= 1.2.0~),
          golang-github-spf13-cast-dev (>= 1.3.0~),
          golang-github-spf13-cobra-dev,
          golang-github-spf13-fsync-dev,
          golang-github-spf13-jwalterweatherman-dev (>= 1.0.0+git20181028.94f6ae3~),
          golang-github-spf13-nitro-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-spf13-viper-dev,
+         golang-github-spf13-viper-dev (>= 1.3.1~),
          golang-github-stretchr-testify-dev,
          golang-github-wellington-go-libsass-dev,
          golang-github-yosssi-ace-dev,
@@ -132,7 +132,7 @@
          golang-golang-x-net-dev,
          golang-golang-x-sync-dev,
          golang-golang-x-text-dev,
-         golang-gopkg-yaml.v2-dev,
+         golang-gopkg-yaml.v2-dev (>= 2.2.2~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)

## hugo 0.54.0

=== debian/changelog ===
hugo (0.54.0-1) unstable; urgency=medium

  * New upstream version 0.54.0
  * Update versioned dependencies on golang-github-spf13-afero-dev
    and golang-github-alecthomas-chroma-dev

 -- Anthony Fok <foka@debian.org>  Fri, 01 Feb 2019 11:13:18 -0700

## hugo 0.55.1

=== debian/changelog ===
hugo (0.55.1-1) unstable; urgency=medium

  * New upstream version 0.55.1
  * Update files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 13:36:44 -0600

hugo (0.55.0-1) unstable; urgency=medium

  * New upstream version 0.55.0
  * Update dependencies as per upstream go.mod
  * Update files list and copyright years in debian/copyright
  * Refresh 004-increase-timeout-in-TestPageBundlerSiteRegular.patch

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 04:46:30 -0600
